clear; clc;
R=10; L=31.25e-3; C=50e-6; Is=2;
ts=0;     % start time
te=30e-3;  % end time
numerator=[20*R*L*C  R*L*Is];
denominator=[R*L*C  L  R];
[r,p,k]=residue(numerator,denominator)
t=ts:te/100:te;
u=r.'*exp(p*t);  % r.' is the non-conjugate transpose
plot(t,u);
xlabel('t [s]'); ylabel('uC(t) [V]'); grid on;
