% this program computes the nodal voltages
% given the admittance matrix Y and current vector I
% Y is the admittance matrix
% I is the current vector
% U is the nodal voltage vector
% initialize matrix Y and vector I using YU=I form
Y = [0.75   -0.2     0   -0.5;
     -0.2   0.45  0.166666667  -0.0666666667;
        0      0     0     1;
       -5      1    -1     5];
I = [5; 0; 10; 0];
% solution for the voltages
disp('The nodal voltages U1, U2, U3 and U4 are')
U = inv(Y)*I